Package ru.bgcrm.plugin.bgbilling.message

# Class MessageTypeHelpDesk

java.lang.Object
org.bgerp.model.base.Id
org.bgerp.model.base.IdTitle
ru.bgcrm.dao.message.MessageType
ru.bgcrm.plugin.bgbilling.message.MessageTypeHelpDesk

All Implemented Interfaces:
  `Serializable`, `Id<Integer>`, `IdTitle<Integer>`, `Title`

public class MessageTypeHelpDesk extends MessageType

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.dao.message.MessageType

  `configMap, setup, unprocessedMessagesCount`

  ### Fields inherited from class org.bgerp.model.base.IdTitle

  `title`

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageTypeHelpDesk(Setup setup, int id, ConfigMap config)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Message`
  `getAnswerMessage(Message original)`
  `int`
  `getAutoCloseParamId()`
  `String`
  `getBillingId()`
  `int`
  `getCostParamId()`
  `DBInfo`
  `getDbInfo()`
  `String`
  `getEditorJsp()`
  Plugin's endpoint for process message editor.
  `String`
  `getHeaderJsp()`
  `Set<Integer>`
  `getMarkMessagesReadStatusIds()`
  `String`
  `getObjectType()`
  `int`
  `getStatusParamId()`
  `User`
  `getUser()`
  `boolean`
  `isAnswerSupport()`
  `boolean`
  `isEditable(Message message)`
  Can a message be edited
  `void`
  `process()`
  Sends and reads message list.
  `void`
  `updateMessage(Connection con, DynActionForm form, Message message)`

  ### Methods inherited from class ru.bgcrm.dao.message.MessageType

  `answerText, getConfigMap, getContactSaver, getMessageDescription, getProcessMessageHeaderColor, getSearchMap, getUnprocessedMessagesCount, getViewerJsp, isCheckEmptySubject, isProcessChangeSupport, isReadable, isReading, isRemovable, messageDelete, messageLinkedToProcess, newMessageGet, newMessageList, newMessageLoad, processMessageAttaches, searchObjectsForLink`

  ### Methods inherited from class org.bgerp.model.base.IdTitle

  `getTitle, setTitle, toString, unknown`

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bgerp.model.base.iface.Id

  `getId`

- ## Constructor Details

  - ### MessageTypeHelpDesk

    public MessageTypeHelpDesk(Setup setup, int id, ConfigMap config)

- ## Method Details

  - ### getUser

    public User getUser()

  - ### getBillingId

    public String getBillingId()

  - ### getMarkMessagesReadStatusIds

    public Set<Integer> getMarkMessagesReadStatusIds()

  - ### getStatusParamId

    public int getStatusParamId()

  - ### getCostParamId

    public int getCostParamId()

  - ### getAutoCloseParamId

    public int getAutoCloseParamId()

  - ### getDbInfo

    public DBInfo getDbInfo()

  - ### getObjectType

    public String getObjectType()

  - ### isAnswerSupport

    public boolean isAnswerSupport()
    Overrides:
      `isAnswerSupport` in class `MessageType`

  - ### getAnswerMessage

    public Message getAnswerMessage(Message original)
    Overrides:
      `getAnswerMessage` in class `MessageType`

  - ### isEditable

    public boolean isEditable(Message message)
    Description copied from class: `MessageType`
    Can a message be edited
    Overrides:
      `isEditable` in class `MessageType`
    Parameters:
      `message` - the message, `null` for adding a message of the type
    Returns:

  - ### getHeaderJsp

    public String getHeaderJsp()
    Overrides:
      `getHeaderJsp` in class `MessageType`
    Returns:
      Plugin's endpoint for process message header.

  - ### getEditorJsp

    public String getEditorJsp()
    Description copied from class: `MessageType`
    Plugin's endpoint for process message editor.
    Overrides:
      `getEditorJsp` in class `MessageType`
    Returns:

  - ### process

    public void process()
    Description copied from class: `MessageType`
    Sends and reads message list.
    Overrides:
      `process` in class `MessageType`

  - ### updateMessage

    public void updateMessage(Connection con, DynActionForm form, Message message) throws Exception
    Specified by:
      `updateMessage` in class `MessageType`
    Throws:
      `Exception`